package com.thebrokenrail.energonrelics.block.entity;

import com.thebrokenrail.energonrelics.config.HardcodedConfig;
import com.thebrokenrail.energonrelics.energy.core.EnergyProviderBlockEntity;
import com.thebrokenrail.energonrelics.energy.helper.EnergyGeneratorBlockEntity;
import net.minecraft.block.entity.BlockEntityType;
import net.minecraft.util.math.Direction;
import net.minecraft.world.LightType;

import java.util.List;
import java.util.Objects;

public class CreativeEnergySourceBlockEntity extends EnergyGeneratorBlockEntity {
    public CreativeEnergySourceBlockEntity(BlockEntityType<?> type) {
        super(type);
    }

    @Override
    public long getDisplayEnergy() {
        return Long.MAX_VALUE;
    }

    @Override
    public List<EnergyProviderBlockEntity> startTick() {
        setEnergy(getDisplayEnergy());
        return super.startTick();
    }
}
